summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /app-misc/anki
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'app-misc/anki')
-rw-r--r--app-misc/anki/Manifest2
-rw-r--r--app-misc/anki/anki-2.0.31-r1.ebuild64
-rw-r--r--app-misc/anki/anki-2.0.31.ebuild70
-rw-r--r--app-misc/anki/anki-2.0.32.ebuild64
-rw-r--r--app-misc/anki/metadata.xml25
5 files changed, 225 insertions, 0 deletions
diff --git a/app-misc/anki/Manifest b/app-misc/anki/Manifest
new file mode 100644
index 00000000000..bea9e6f8013
--- /dev/null
+++ b/app-misc/anki/Manifest
@@ -0,0 +1,2 @@
+DIST anki-2.0.31.tgz 3329290 SHA256 4b969629255b00db9a9eb8a2fd70271cc41c92c47752eb1c78e8609ff025be2f SHA512 3e6e29247d83b026ece6974007c848822360a812838dbb718cf3f1423fc9d015236b027944cd99f3b419e0fe4fe6cb2390d185f00646af727ec8e76f4aa3cbb8 WHIRLPOOL 42b1ecf2cc856c15ad1fe690d45e8051a8b79ef0b850e701a6a8a510a56cc4e6711bf4c8acc8ae9add7a3c761788005979c9a6398a71e1b28c9821043d5f6053
+DIST anki-2.0.32.tgz 3353186 SHA256 398f00d9ab7da811548813e19b6da192f07d5c1c7e4486de508040ecc1abb93c SHA512 a65a529121e8d6ca53b29ef3b22d432b48884c28ef5b2422f0c813069f5889469e0545951f6789aa883a411572419e7175364320a18a7cfc1582f5fa98b837d3 WHIRLPOOL 204a8761bbafd87bddf9aecad867eb9705c72d6e8f1c7b6f050d893db3e9d4d58d047597f0e079cfd502b89095fedd17d1581c3be8cd833d2a18a37fb90fb262
diff --git a/app-misc/anki/anki-2.0.31-r1.ebuild b/app-misc/anki/anki-2.0.31-r1.ebuild
new file mode 100644
index 00000000000..51896953783
--- /dev/null
+++ b/app-misc/anki/anki-2.0.31-r1.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="sqlite"
+
+inherit eutils python-single-r1
+
+DESCRIPTION="A spaced-repetition memory training program (flash cards)"
+HOMEPAGE="http://ichi2.net/anki/"
+SRC_URI="http://ankisrs.net/download/mirror/${P}.tgz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="latex +recording +sound"
+
+RDEPEND="${PYTHON_DEPS}
+ dev-python/PyQt4[X,svg,webkit]
+ >=dev-python/httplib2-0.7.4
+ dev-python/beautifulsoup:python-2
+ dev-python/send2trash
+ recording? ( media-sound/lame
+ >=dev-python/pyaudio-0.2.4 )
+ sound? ( media-video/mplayer )
+ latex? ( app-text/texlive
+ app-text/dvipng )"
+DEPEND=""
+
+pkg_setup(){
+ python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ rm -r thirdparty || die
+ sed -i -e "s/updates=True/updates=False/" \
+ aqt/profiles.py || die
+}
+
+# Nothing to configure or compile
+src_configure() {
+ true;
+}
+
+src_compile() {
+ true;
+}
+
+src_install() {
+ doicon ${PN}.png
+ domenu ${PN}.desktop
+ doman ${PN}.1
+
+ dodoc README README.development
+ python_domodule aqt anki
+ python_doscript anki/anki
+
+ # Localization files go into the anki directory:
+ python_moduleinto anki
+ python_domodule locale
+}
diff --git a/app-misc/anki/anki-2.0.31.ebuild b/app-misc/anki/anki-2.0.31.ebuild
new file mode 100644
index 00000000000..c82f391f0e7
--- /dev/null
+++ b/app-misc/anki/anki-2.0.31.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="sqlite"
+
+inherit eutils python-single-r1
+
+DESCRIPTION="A spaced-repetition memory training program (flash cards)"
+HOMEPAGE="http://ichi2.net/anki/"
+SRC_URI="http://ankisrs.net/download/mirror/${P}.tgz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="latex +recording +sound"
+
+RDEPEND="${PYTHON_DEPS}
+ dev-python/PyQt4[X,svg,webkit]
+ >=dev-python/httplib2-0.7.4
+ dev-python/beautifulsoup:python-2
+ dev-python/send2trash
+ recording? ( media-sound/lame
+ >=dev-python/pyaudio-0.2.4 )
+ sound? ( media-video/mplayer )
+ latex? ( app-text/texlive
+ app-text/dvipng )"
+DEPEND=""
+
+pkg_setup(){
+ python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ rm -r thirdparty || die
+ sed -i -e "s/updates=True/updates=False/" \
+ aqt/profiles.py || die
+}
+
+# Nothing to configure or compile
+src_configure() {
+ true;
+}
+
+src_compile() {
+ true;
+}
+
+src_install() {
+ doicon ${PN}.png
+ domenu ${PN}.desktop
+ doman ${PN}.1
+
+ dodoc README README.development
+ python_domodule aqt anki
+ python_doscript anki/anki
+}
+
+pkg_preinst() {
+ if has_version "<app-misc/anki-2" ; then
+ elog "Anki 2 is a rewrite of Anki with many new features and"
+ elog "a new database format. On the first run your decks are"
+ elog "converted to the new format and a backup of your Anki-1"
+ elog "decks is created. Please read the following:"
+ elog "http://ankisrs.net/anki2.html"
+ fi
+}
diff --git a/app-misc/anki/anki-2.0.32.ebuild b/app-misc/anki/anki-2.0.32.ebuild
new file mode 100644
index 00000000000..51896953783
--- /dev/null
+++ b/app-misc/anki/anki-2.0.32.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="sqlite"
+
+inherit eutils python-single-r1
+
+DESCRIPTION="A spaced-repetition memory training program (flash cards)"
+HOMEPAGE="http://ichi2.net/anki/"
+SRC_URI="http://ankisrs.net/download/mirror/${P}.tgz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="latex +recording +sound"
+
+RDEPEND="${PYTHON_DEPS}
+ dev-python/PyQt4[X,svg,webkit]
+ >=dev-python/httplib2-0.7.4
+ dev-python/beautifulsoup:python-2
+ dev-python/send2trash
+ recording? ( media-sound/lame
+ >=dev-python/pyaudio-0.2.4 )
+ sound? ( media-video/mplayer )
+ latex? ( app-text/texlive
+ app-text/dvipng )"
+DEPEND=""
+
+pkg_setup(){
+ python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ rm -r thirdparty || die
+ sed -i -e "s/updates=True/updates=False/" \
+ aqt/profiles.py || die
+}
+
+# Nothing to configure or compile
+src_configure() {
+ true;
+}
+
+src_compile() {
+ true;
+}
+
+src_install() {
+ doicon ${PN}.png
+ domenu ${PN}.desktop
+ doman ${PN}.1
+
+ dodoc README README.development
+ python_domodule aqt anki
+ python_doscript anki/anki
+
+ # Localization files go into the anki directory:
+ python_moduleinto anki
+ python_domodule locale
+}
diff --git a/app-misc/anki/metadata.xml b/app-misc/anki/metadata.xml
new file mode 100644
index 00000000000..1de05e0522a
--- /dev/null
+++ b/app-misc/anki/metadata.xml
@@ -0,0 +1,25 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>tomka@gentoo.org</email>
+ <name>Thomas Kahle</name>
+ </maintainer>
+ <maintainer>
+ <email>patrick@gentoo.org</email>
+ <name>Patrick Lauer</name>
+ </maintainer>
+ <longdescription lang="en">
+ Anki is a program designed to help you remember facts
+ (such as words and phrases in a foreign language) as
+ quickly, easily and efficiently as possible.
+ </longdescription>
+ <use>
+ <flag name="recording">
+ Enable support for audio recording
+ </flag>
+ <flag name="sound">
+ Enable support for adding sound to cards
+ </flag>
+ </use>
+</pkgmetadata>